You are not logged in.

#576 2012-05-24 02:54:47

sollidsnake
Member
Registered: 2012-01-30
Posts: 102

Re: Progress on Unity under Arch Linux!

xgdgsc wrote:

Have you installed appmenu-qt from repo?

sollidsnake wrote:

You guys are doing a awesome work porting Unity under Arch. Everything is running perfectly on my machine smile
But there are some programs like gimp, vlc and visualbox that the global menu is not working. Instead of appearing on the unity panel, it is appearing below the title bar. There are any fix for that?

You are right... the appmenu-qt is missing. But I just checked the git folder and there is not the appmenu-qt package anymore. It is not even in the readme file. Was it removed?


"For with the passing of this hour
Even gods will be devoured"

Offline

#577 2012-05-24 03:28:01

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

sollidsnake wrote:
xgdgsc wrote:

Have you installed appmenu-qt from repo?

sollidsnake wrote:

You guys are doing a awesome work porting Unity under Arch. Everything is running perfectly on my machine smile
But there are some programs like gimp, vlc and visualbox that the global menu is not working. Instead of appearing on the unity panel, it is appearing below the title bar. There are any fix for that?

You are right... the appmenu-qt is missing. But I just checked the git folder and there is not the appmenu-qt package anymore. It is not even in the readme file. Was it removed?

appmenu-qt is in the official repos now smile You can install it with pacman. I've added a section in the README file about this big_smile


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#578 2012-05-24 03:48:04

sollidsnake
Member
Registered: 2012-01-30
Posts: 102

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:
sollidsnake wrote:
xgdgsc wrote:

Have you installed appmenu-qt from repo?

You are right... the appmenu-qt is missing. But I just checked the git folder and there is not the appmenu-qt package anymore. It is not even in the readme file. Was it removed?

appmenu-qt is in the official repos now smile You can install it with pacman. I've added a section in the README file about this big_smile

Oh. Thank you. It seems all ok now. I think it would be nice if you added it as a dependence of some package, maybe unity.


"For with the passing of this hour
Even gods will be devoured"

Offline

#579 2012-05-24 03:58:16

ElderSnake
Member
From: Australia
Registered: 2010-12-09
Posts: 97

Re: Progress on Unity under Arch Linux!

pekmop1024 wrote:

http://unity.xe-xe.org/ for those who wants to try but did not want to build smile

You rock!


Arch Linux - Intel E5200 Desktop (MATE GTK3)  | Fedora 25 - ASUS Core-i7 Optimus Laptop

Offline

#580 2012-05-29 20:33:23

MarcusMoeller
Member
Registered: 2012-05-29
Posts: 6

Re: Progress on Unity under Arch Linux!

I have installed the packages from unity.xe-xe.org. Everything works fine so far. I just want to know if there is a way to get globalmenu to work with Firefox/Thunderbird and Libre Office, too?

Offline

#581 2012-05-29 20:56:17

LungFungus
Member
From: PSU
Registered: 2011-03-13
Posts: 10

Re: Progress on Unity under Arch Linux!

MarcusMoeller wrote:

I have installed the packages from unity.xe-xe.org. Everything works fine so far. I just want to know if there is a way to get globalmenu to work with Firefox/Thunderbird and Libre Office, too?

I believe for Firefox there is the Ubuntu Modifications plugin, likely similar for Thunderbird.


fortune -o

Offline

#582 2012-05-29 23:32:43

oi_wtf
Member
From: /home/wtf
Registered: 2012-03-11
Posts: 190

Re: Progress on Unity under Arch Linux!

well, no...

its an extension called "globalmenu" wink
see: http://packages.ubuntu.com/precise-upda … globalmenu

Last edited by oi_wtf (2012-05-29 23:33:25)


Laptop:   Arch Linux (x86_64) and Win8.1 (x86_64);  Intel Core i7-3630QM @ 2.40GHz, 8 GiB RAM, NViDiA GeForce GT 650M 2 GiB
Desktop: Arch Linux (x86_64) and Win8.1 (x86_64);  Intel Core i7-4771  @ 3.50GHz, 8 GiB RAM, NViDiA GeForce GTX 660 Ti 2GiB

Offline

#583 2012-05-30 02:30:25

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

For LibreOffice, the package name is libreoffice-extension-menubar (lo-menubar in Ubuntu). City-busz hasn't updated the package for a while, but brcha kindly provided an updated package in the comments: http://aur.archlinux.org/packages.php?ID=53888

For Firefox and Thunderbird, there's globalmenu-extension, which is the same as the package that oi_wtf mentioned. Here's a link to the package: https://aur.archlinux.org/packages.php?ID=55724


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#584 2012-06-01 20:48:16

Red_Raven
Member
From: Manila
Registered: 2012-06-01
Posts: 10
Website

Re: Progress on Unity under Arch Linux!

i can't build unity lens applications. what am I doing wrong? i followed the install order. please help

/usr/bin/gnome-autogen.sh
checking for autoconf >= 2.53...
  testing autoconf2.50... not found.
  testing autoconf... found 2.69
checking for automake >= 1.9...
  testing automake-1.12... found 1.12
checking for libtool >= 1.4.3...
  testing libtoolize... found 2.4.2
checking for glib-gettext >= 2.2.0...
  testing glib-gettextize... found 2.32.1
checking for intltool >= 0.25...
  testing intltoolize... found 0.50.2
checking for pkg-config >= 0.14.0...
  testing pkg-config... found 0.26
Checking for required M4 macros...
Checking for forbidden M4 macros...
Processing ./configure.ac
Running libtoolize...
libtoolize: putting auxiliary files in `.'.
libtoolize: copying file `./ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
libtoolize: copying file `m4/libtool.m4'
libtoolize: copying file `m4/ltoptions.m4'
libtoolize: copying file `m4/ltsugar.m4'
libtoolize: copying file `m4/ltversion.m4'
libtoolize: copying file `m4/lt~obsolete.m4'
libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
Running glib-gettextize... Ignore non-fatal messages.
Copying file mkinstalldirs
Copying file po/Makefile.in.in

Please add the files
  codeset.m4 gettext.m4 glibc21.m4 iconv.m4 isc-posix.m4 lcmessage.m4
  progtest.m4
from the /aclocal directory to your autoconf macro directory
or directly to your aclocal.m4 file.
You will also need config.guess and config.sub, which you can get from
ftp://ftp.gnu.org/pub/gnu/config/.

Running intltoolize...
Running aclocal-1.12...
Running autoconf...
Running autoheader...
Running automake-1.12...
Running ./configure --enable-maintainer-mode --prefix=/usr --libexecdir=/usr/lib/unity-lens-files --disable-static ...
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... yes
checking for valac... /usr/bin/valac
checking /usr/bin/valac is at least version 0.14.0... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking whether gcc and cc understand -c and -o together... yes
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert i686-pc-linux-gnu file names to i686-pc-linux-gnu format... func_convert_file_noop
checking how to convert i686-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for mt... no
checking if : is a manifest tool... no
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking for LC_MESSAGES... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking for ngettext in libc... yes
checking for dgettext in libc... yes
checking for bind_textdomain_codeset... yes
checking for msgfmt... /usr/bin/msgfmt
checking for dcgettext... yes
checking if msgfmt accepts -c... yes
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking whether NLS is requested... yes
checking for intltool >= 0.40.0... 0.50.2 found
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... (cached) /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... (cached) /usr/bin/msgfmt
checking for gmsgfmt... (cached) /usr/bin/msgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.14.2
checking for XML::Parser... ok
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for LENS_DAEMON... yes
checking for pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.16... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating files.lens.in
config.status: creating data/Makefile
config.status: creating data/com.canonical.Unity.FilesLens.gschema.xml.in
config.status: creating src/Makefile
config.status: creating src/config.vala
config.status: creating po/Makefile.in
config.status: creating tests/Makefile
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing default-1 commands
config.status: executing po/stamp-it commands
configure:

  Unity Files Lens Daemon 5.10.0
  -------------------------------

  Prefix          : /usr

  Local install   : no

  Extra CFlags    :  
  Extra ValaFlags :  

  Lenses Directory: /usr/share/unity/lenses

Now type `make' to compile unity-place-files
make  all-recursive
make[1]: Entering directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0'
Making all in src
make[2]: Entering directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0/src'
  GEN      unity_files_daemon.vala.stamp
blacklist-tracker.vala:70.37-70.68: warning: unhandled error `GLib.Error'
      Variant all_templates = yield blacklist_proxy.get_templates ();
                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
utils.vala:27.33-27.59: warning: GLib.FILE_ATTRIBUTE_PREVIEW_ICON has been deprecated since vala-0.16. Use FileAttribute.PREVIEW_ICON
utils.vala:28.33-28.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_ICON has been deprecated since vala-0.16. Use FileAttribute.STANDARD_ICON
utils.vala:29.33-29.61: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
utils.vala:89.63-89.91: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
folder.vala:160.5-160.30: error: return type `GLib.List<Unity.FilesLens.Bookmark>` is less accessible than method `Unity.FilesLens.Bookmarks.list`
    public List<Bookmark> list ()
    ^^^^^^^^^^^^^^^^^^^^^^^^^^
folder.vala:165.5-165.39: error: return type `GLib.List<Unity.FilesLens.Bookmark>` is less accessible than method `Unity.FilesLens.Bookmarks.prefix_search`
    public List<Bookmark> prefix_search (string search)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
folder.vala:193.13-193.22: warning: string.offset is deprecated. Use string.substring
daemon.vala:896.49-896.76: warning: GLib.FILE_ATTRIBUTE_STANDARD_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_TYPE
daemon.vala:897.11-897.38: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
daemon.vala:898.11-898.43: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
daemon.vala:894.44-894.71: warning: GLib.FILE_ATTRIBUTE_STANDARD_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_TYPE
daemon.vala:895.11-895.43: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
locate.vala:30.26-30.58: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
locate.vala:31.7-31.39: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
locate.vala:32.7-32.42: warning: GLib.FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_DISPLAY_NAME
locate.vala:33.7-33.34: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
locate.vala:34.7-34.34: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
locate.vala:35.7-35.35: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
locate.vala:36.7-36.37: warning: GLib.FILE_ATTRIBUTE_ACCESS_CAN_WRITE has been deprecated since vala-0.16. Use FileAttribute.ACCESS_CAN_WRITE
locate.vala:37.7-37.47: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
locate.vala:87.38-87.68: warning: GLib.FILE_ATTRIBUTE_ACCESS_CAN_WRITE has been deprecated since vala-0.16. Use FileAttribute.ACCESS_CAN_WRITE
utils.vala:102.7-102.43: error: 1 extra arguments for `GLib.TimeVal GLib.FileInfo.get_modification_time ()'
      info1.get_modification_time (out tv1);
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
utils.vala:103.7-103.43: error: 1 extra arguments for `GLib.TimeVal GLib.FileInfo.get_modification_time ()'
      info2.get_modification_time (out tv2);
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
daemon.vala:836.51-836.91: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
daemon.vala:840.51-840.78: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
utils.vala:341.51-341.91: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
daemon.vala:565.15-565.27: warning: unhandled error `GLib.Error'
              txn.commit ();
              ^^^^^^^^^^^^^
daemon.vala:623.35-623.47: warning: unhandled error `GLib.Error'
        if (!txn.is_committed ()) txn.commit ();
                                  ^^^^^^^^^^^^^
daemon.vala:111.7-111.20: warning: unhandled error `GLib.IOError'
      lens.export ();
      ^^^^^^^^^^^^^^
main.vala:35.24-42.41: warning: unhandled error `GLib.Error'
utils.vala:31.33-31.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_NAME
utils.vala:32.33-32.68: warning: GLib.FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_DISPLAY_NAME
utils.vala:33.33-33.68: warning: GLib.FILE_ATTRIBUTE_STANDARD_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_CONTENT_TYPE
utils.vala:34.33-34.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
utils.vala:35.33-35.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
utils.vala:36.33-36.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
utils.vala:37.33-37.60: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
utils.vala:38.33-38.58: warning: GLib.FILE_ATTRIBUTE_TIME_ACCESS has been deprecated since vala-0.16. Use FileAttribute.TIME_ACCESS
utils.vala:40.33-40.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
utils.vala:41.33-41.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
Compilation failed: 4 error(s), 37 warning(s)
make[2]: *** [unity_files_daemon.vala.stamp] Error 1
make[2]: Leaving directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0'
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
       Aborting...

"My mind rebels at stagnation. Give me problems, give me work, give me the most abstruse cryptogram, or the most intricate analysis, and I am in my own proper atmosphere. But I abhor the dull routine of existence. I crave for mental exaltation."
~ Sherlock Holmes, The Sign of Four: Chapter 1 - The Science of Deduction by Sir Arthur Conan Doyle circa 1890

Offline

#585 2012-06-02 01:46:25

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

Red_Raven wrote:

i can't build unity lens applications. what am I doing wrong? i followed the install order. please help

/usr/bin/gnome-autogen.sh
checking for autoconf >= 2.53...
  testing autoconf2.50... not found.
  testing autoconf... found 2.69
checking for automake >= 1.9...
  testing automake-1.12... found 1.12
checking for libtool >= 1.4.3...
  testing libtoolize... found 2.4.2
checking for glib-gettext >= 2.2.0...
  testing glib-gettextize... found 2.32.1
checking for intltool >= 0.25...
  testing intltoolize... found 0.50.2
checking for pkg-config >= 0.14.0...
  testing pkg-config... found 0.26
Checking for required M4 macros...
Checking for forbidden M4 macros...
Processing ./configure.ac
Running libtoolize...
libtoolize: putting auxiliary files in `.'.
libtoolize: copying file `./ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
libtoolize: copying file `m4/libtool.m4'
libtoolize: copying file `m4/ltoptions.m4'
libtoolize: copying file `m4/ltsugar.m4'
libtoolize: copying file `m4/ltversion.m4'
libtoolize: copying file `m4/lt~obsolete.m4'
libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
Running glib-gettextize... Ignore non-fatal messages.
Copying file mkinstalldirs
Copying file po/Makefile.in.in

Please add the files
  codeset.m4 gettext.m4 glibc21.m4 iconv.m4 isc-posix.m4 lcmessage.m4
  progtest.m4
from the /aclocal directory to your autoconf macro directory
or directly to your aclocal.m4 file.
You will also need config.guess and config.sub, which you can get from
ftp://ftp.gnu.org/pub/gnu/config/.

Running intltoolize...
Running aclocal-1.12...
Running autoconf...
Running autoheader...
Running automake-1.12...
Running ./configure --enable-maintainer-mode --prefix=/usr --libexecdir=/usr/lib/unity-lens-files --disable-static ...
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... yes
checking for valac... /usr/bin/valac
checking /usr/bin/valac is at least version 0.14.0... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking whether gcc and cc understand -c and -o together... yes
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert i686-pc-linux-gnu file names to i686-pc-linux-gnu format... func_convert_file_noop
checking how to convert i686-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for mt... no
checking if : is a manifest tool... no
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking for LC_MESSAGES... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking for ngettext in libc... yes
checking for dgettext in libc... yes
checking for bind_textdomain_codeset... yes
checking for msgfmt... /usr/bin/msgfmt
checking for dcgettext... yes
checking if msgfmt accepts -c... yes
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking whether NLS is requested... yes
checking for intltool >= 0.40.0... 0.50.2 found
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... (cached) /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... (cached) /usr/bin/msgfmt
checking for gmsgfmt... (cached) /usr/bin/msgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.14.2
checking for XML::Parser... ok
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for LENS_DAEMON... yes
checking for pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.16... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating files.lens.in
config.status: creating data/Makefile
config.status: creating data/com.canonical.Unity.FilesLens.gschema.xml.in
config.status: creating src/Makefile
config.status: creating src/config.vala
config.status: creating po/Makefile.in
config.status: creating tests/Makefile
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing default-1 commands
config.status: executing po/stamp-it commands
configure:

  Unity Files Lens Daemon 5.10.0
  -------------------------------

  Prefix          : /usr

  Local install   : no

  Extra CFlags    :  
  Extra ValaFlags :  

  Lenses Directory: /usr/share/unity/lenses

Now type `make' to compile unity-place-files
make  all-recursive
make[1]: Entering directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0'
Making all in src
make[2]: Entering directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0/src'
  GEN      unity_files_daemon.vala.stamp
blacklist-tracker.vala:70.37-70.68: warning: unhandled error `GLib.Error'
      Variant all_templates = yield blacklist_proxy.get_templates ();
                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
utils.vala:27.33-27.59: warning: GLib.FILE_ATTRIBUTE_PREVIEW_ICON has been deprecated since vala-0.16. Use FileAttribute.PREVIEW_ICON
utils.vala:28.33-28.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_ICON has been deprecated since vala-0.16. Use FileAttribute.STANDARD_ICON
utils.vala:29.33-29.61: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
utils.vala:89.63-89.91: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
folder.vala:160.5-160.30: error: return type `GLib.List<Unity.FilesLens.Bookmark>` is less accessible than method `Unity.FilesLens.Bookmarks.list`
    public List<Bookmark> list ()
    ^^^^^^^^^^^^^^^^^^^^^^^^^^
folder.vala:165.5-165.39: error: return type `GLib.List<Unity.FilesLens.Bookmark>` is less accessible than method `Unity.FilesLens.Bookmarks.prefix_search`
    public List<Bookmark> prefix_search (string search)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
folder.vala:193.13-193.22: warning: string.offset is deprecated. Use string.substring
daemon.vala:896.49-896.76: warning: GLib.FILE_ATTRIBUTE_STANDARD_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_TYPE
daemon.vala:897.11-897.38: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
daemon.vala:898.11-898.43: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
daemon.vala:894.44-894.71: warning: GLib.FILE_ATTRIBUTE_STANDARD_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_TYPE
daemon.vala:895.11-895.43: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
locate.vala:30.26-30.58: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
locate.vala:31.7-31.39: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
locate.vala:32.7-32.42: warning: GLib.FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_DISPLAY_NAME
locate.vala:33.7-33.34: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
locate.vala:34.7-34.34: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
locate.vala:35.7-35.35: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
locate.vala:36.7-36.37: warning: GLib.FILE_ATTRIBUTE_ACCESS_CAN_WRITE has been deprecated since vala-0.16. Use FileAttribute.ACCESS_CAN_WRITE
locate.vala:37.7-37.47: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
locate.vala:87.38-87.68: warning: GLib.FILE_ATTRIBUTE_ACCESS_CAN_WRITE has been deprecated since vala-0.16. Use FileAttribute.ACCESS_CAN_WRITE
utils.vala:102.7-102.43: error: 1 extra arguments for `GLib.TimeVal GLib.FileInfo.get_modification_time ()'
      info1.get_modification_time (out tv1);
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
utils.vala:103.7-103.43: error: 1 extra arguments for `GLib.TimeVal GLib.FileInfo.get_modification_time ()'
      info2.get_modification_time (out tv2);
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
daemon.vala:836.51-836.91: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
daemon.vala:840.51-840.78: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
utils.vala:341.51-341.91: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
daemon.vala:565.15-565.27: warning: unhandled error `GLib.Error'
              txn.commit ();
              ^^^^^^^^^^^^^
daemon.vala:623.35-623.47: warning: unhandled error `GLib.Error'
        if (!txn.is_committed ()) txn.commit ();
                                  ^^^^^^^^^^^^^
daemon.vala:111.7-111.20: warning: unhandled error `GLib.IOError'
      lens.export ();
      ^^^^^^^^^^^^^^
main.vala:35.24-42.41: warning: unhandled error `GLib.Error'
utils.vala:31.33-31.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_NAME
utils.vala:32.33-32.68: warning: GLib.FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_DISPLAY_NAME
utils.vala:33.33-33.68: warning: GLib.FILE_ATTRIBUTE_STANDARD_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_CONTENT_TYPE
utils.vala:34.33-34.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
utils.vala:35.33-35.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
utils.vala:36.33-36.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
utils.vala:37.33-37.60: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
utils.vala:38.33-38.58: warning: GLib.FILE_ATTRIBUTE_TIME_ACCESS has been deprecated since vala-0.16. Use FileAttribute.TIME_ACCESS
utils.vala:40.33-40.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
utils.vala:41.33-41.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
Compilation failed: 4 error(s), 37 warning(s)
make[2]: *** [unity_files_daemon.vala.stamp] Error 1
make[2]: Leaving directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0'
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
       Aborting...

Actually, could you post the log right before:

/usr/bin/gnome-autogen.sh
checking for autoconf >= 2.53...
  testing autoconf2.50... not found.
  testing autoconf... found 2.69

The 'vala-0.16_fix.patch' patch fixes the issue you see, so I'm not sure why it's not building. The earlier part of the build log should tell me whether it's patched or not.


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#586 2012-06-02 02:03:11

ElderSnake
Member
From: Australia
Registered: 2010-12-09
Posts: 97

Re: Progress on Unity under Arch Linux!

I don't know how many people this would affect but just a little warning if you're running the current xorg-server-ubuntu package from the Unity repo. If while running this package and you upgrade and replace udev with systemd-tools (see the latest Arch news) you will find X won't start when you reboot due to the "libudev.so.0 no file found" error.

Replacing the xorg-server-ubuntu package with the standard Arch version and booting into an alternative DE works for me but if you're using Unity you might want to wait until the xorg-server-ubuntu package is updated.

Last edited by ElderSnake (2012-06-02 02:03:30)


Arch Linux - Intel E5200 Desktop (MATE GTK3)  | Fedora 25 - ASUS Core-i7 Optimus Laptop

Offline

#587 2012-06-02 14:12:37

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

ElderSnake wrote:

I don't know how many people this would affect but just a little warning if you're running the current xorg-server-ubuntu package from the Unity repo. If while running this package and you upgrade and replace udev with systemd-tools (see the latest Arch news) you will find X won't start when you reboot due to the "libudev.so.0 no file found" error.

Replacing the xorg-server-ubuntu package with the standard Arch version and booting into an alternative DE works for me but if you're using Unity you might want to wait until the xorg-server-ubuntu package is updated.

Thanks for the info! This can be solved by a simple rebuild, so:

Note to everyone: Please rebuild xorg-server-ubuntu after the latest updates where systemd-tools replaced udev smile

Last edited by chenxiaolong (2012-06-02 14:12:47)


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#588 2012-06-02 17:47:20

Red_Raven
Member
From: Manila
Registered: 2012-06-01
Posts: 10
Website

Re: Progress on Unity under Arch Linux!

how do i get get the log before that? i only posted the contents of the unity build log from the folder. i am currently dual booted and using the xp boot to check the forum. i have to reboot again to arch to proceed. how do i install the vala fix? where do I get it?


"My mind rebels at stagnation. Give me problems, give me work, give me the most abstruse cryptogram, or the most intricate analysis, and I am in my own proper atmosphere. But I abhor the dull routine of existence. I crave for mental exaltation."
~ Sherlock Holmes, The Sign of Four: Chapter 1 - The Science of Deduction by Sir Arthur Conan Doyle circa 1890

Offline

#589 2012-06-02 23:57:54

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

Red_Raven wrote:

how do i get get the log before that? i only posted the contents of the unity build log from the folder. i am currently dual booted and using the xp boot to check the forum. i have to reboot again to arch to proceed. how do i install the vala fix? where do I get it?

Sorry if I wasn't clear. By build log, I meant the output on the screen when unity-lens-files is being compiled (ie. with "makepkg -s"). The vala fix is already included in the source package, but I'm not sure if it's being applied, which is why I need to see the full output.

Why do you have to use XP to check the forum? If it's because you don't have a working desktop environment yet, you can just skip unity-lens-files temporarily and install the rest of the packages first.


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#590 2012-06-03 05:52:26

Red_Raven
Member
From: Manila
Registered: 2012-06-01
Posts: 10
Website

Re: Progress on Unity under Arch Linux!

yes, i do not have a working environment yet. i wanted to go straight to unity 2d when i read your post, so i did a clean install. i had gnome3 before. but i was not satisfied with it because i am, well, maybe you can say, a bit old school. i like the old ways joining the new and it's more convenient with gtk2. gtk3 is just a mess of things and is not flexible when it comes to customisations. it's stubborn if i might say. i have ubuntu 11.04 in my other computer since it was released and i had tons of fun with unity 2d because it retained the gnome2 style with a few bonuses. i tried skipping the unity lens files but when i install all packages it says it cannot resolved the dependencies because it cannot find the unity-lens-files. other than that, it seems that all packages from your git were successfully added to my system. i just can't make it work because of this stumbling block with unity lens files. i will post the full output in a few minutes after i restart and redo it. i am really sorry to bother you. i usually am the type who don't seek out help or ask questions because i don't want to bother anyone for such trivial matters, it's just that i have ran out of ideas. please forgive me. thanks for responding.

Last edited by Red_Raven (2012-06-03 05:58:29)


"My mind rebels at stagnation. Give me problems, give me work, give me the most abstruse cryptogram, or the most intricate analysis, and I am in my own proper atmosphere. But I abhor the dull routine of existence. I crave for mental exaltation."
~ Sherlock Holmes, The Sign of Four: Chapter 1 - The Science of Deduction by Sir Arthur Conan Doyle circa 1890

Offline

#591 2012-06-03 13:17:22

Red_Raven
Member
From: Manila
Registered: 2012-06-01
Posts: 10
Website

Re: Progress on Unity under Arch Linux!

sorry for the delay, i got held up by some people. this is the output file from makepkg -sL : seems to be the same as before. before that it's just the normal colored messages like checking / resolving dependencies and stuff. i dunno how to output that.

/usr/bin/gnome-autogen.sh
checking for autoconf >= 2.53...
  testing autoconf2.50... not found.
  testing autoconf... found 2.69
checking for automake >= 1.9...
  testing automake-1.12... found 1.12
checking for libtool >= 1.4.3...
  testing libtoolize... found 2.4.2
checking for glib-gettext >= 2.2.0...
  testing glib-gettextize... found 2.32.1
checking for intltool >= 0.25...
  testing intltoolize... found 0.50.2
checking for pkg-config >= 0.14.0...
  testing pkg-config... found 0.26
Checking for required M4 macros...
Checking for forbidden M4 macros...
Processing ./configure.ac
Running libtoolize...
libtoolize: putting auxiliary files in `.'.
libtoolize: copying file `./ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
libtoolize: copying file `m4/libtool.m4'
libtoolize: copying file `m4/ltoptions.m4'
libtoolize: copying file `m4/ltsugar.m4'
libtoolize: copying file `m4/ltversion.m4'
libtoolize: copying file `m4/lt~obsolete.m4'
libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
Running glib-gettextize... Ignore non-fatal messages.
Copying file mkinstalldirs
Copying file po/Makefile.in.in

Please add the files
  codeset.m4 gettext.m4 glibc21.m4 iconv.m4 isc-posix.m4 lcmessage.m4
  progtest.m4
from the /aclocal directory to your autoconf macro directory
or directly to your aclocal.m4 file.
You will also need config.guess and config.sub, which you can get from
ftp://ftp.gnu.org/pub/gnu/config/.

Running intltoolize...
Running aclocal-1.12...
Running autoconf...
Running autoheader...
Running automake-1.12...
Running ./configure --enable-maintainer-mode --prefix=/usr --libexecdir=/usr/lib/unity-lens-files --disable-static ...
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... yes
checking for valac... /usr/bin/valac
checking /usr/bin/valac is at least version 0.14.0... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking whether gcc and cc understand -c and -o together... yes
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert i686-pc-linux-gnu file names to i686-pc-linux-gnu format... func_convert_file_noop
checking how to convert i686-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for mt... no
checking if : is a manifest tool... no
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking for LC_MESSAGES... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking for ngettext in libc... yes
checking for dgettext in libc... yes
checking for bind_textdomain_codeset... yes
checking for msgfmt... /usr/bin/msgfmt
checking for dcgettext... yes
checking if msgfmt accepts -c... yes
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking whether NLS is requested... yes
checking for intltool >= 0.40.0... 0.50.2 found
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... (cached) /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... (cached) /usr/bin/msgfmt
checking for gmsgfmt... (cached) /usr/bin/msgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.14.2
checking for XML::Parser... ok
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for LENS_DAEMON... yes
checking for pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.16... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating files.lens.in
config.status: creating data/Makefile
config.status: creating data/com.canonical.Unity.FilesLens.gschema.xml.in
config.status: creating src/Makefile
config.status: creating src/config.vala
config.status: creating po/Makefile.in
config.status: creating tests/Makefile
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing default-1 commands
config.status: executing po/stamp-it commands
configure:

  Unity Files Lens Daemon 5.10.0
  -------------------------------

  Prefix          : /usr

  Local install   : no

  Extra CFlags    :  
  Extra ValaFlags :  

  Lenses Directory: /usr/share/unity/lenses

Now type `make' to compile unity-place-files
make  all-recursive
make[1]: Entering directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0'
Making all in src
make[2]: Entering directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0/src'
  GEN      unity_files_daemon.vala.stamp
blacklist-tracker.vala:70.37-70.68: warning: unhandled error `GLib.Error'
      Variant all_templates = yield blacklist_proxy.get_templates ();
                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
utils.vala:27.33-27.59: warning: GLib.FILE_ATTRIBUTE_PREVIEW_ICON has been deprecated since vala-0.16. Use FileAttribute.PREVIEW_ICON
utils.vala:28.33-28.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_ICON has been deprecated since vala-0.16. Use FileAttribute.STANDARD_ICON
utils.vala:29.33-29.61: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
utils.vala:89.63-89.91: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
folder.vala:160.5-160.30: error: return type `GLib.List<Unity.FilesLens.Bookmark>` is less accessible than method `Unity.FilesLens.Bookmarks.list`
    public List<Bookmark> list ()
    ^^^^^^^^^^^^^^^^^^^^^^^^^^
folder.vala:165.5-165.39: error: return type `GLib.List<Unity.FilesLens.Bookmark>` is less accessible than method `Unity.FilesLens.Bookmarks.prefix_search`
    public List<Bookmark> prefix_search (string search)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
folder.vala:193.13-193.22: warning: string.offset is deprecated. Use string.substring
daemon.vala:896.49-896.76: warning: GLib.FILE_ATTRIBUTE_STANDARD_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_TYPE
daemon.vala:897.11-897.38: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
daemon.vala:898.11-898.43: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
daemon.vala:894.44-894.71: warning: GLib.FILE_ATTRIBUTE_STANDARD_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_TYPE
daemon.vala:895.11-895.43: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
locate.vala:30.26-30.58: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
locate.vala:31.7-31.39: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
locate.vala:32.7-32.42: warning: GLib.FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_DISPLAY_NAME
locate.vala:33.7-33.34: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
locate.vala:34.7-34.34: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
locate.vala:35.7-35.35: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
locate.vala:36.7-36.37: warning: GLib.FILE_ATTRIBUTE_ACCESS_CAN_WRITE has been deprecated since vala-0.16. Use FileAttribute.ACCESS_CAN_WRITE
locate.vala:37.7-37.47: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
locate.vala:87.38-87.68: warning: GLib.FILE_ATTRIBUTE_ACCESS_CAN_WRITE has been deprecated since vala-0.16. Use FileAttribute.ACCESS_CAN_WRITE
utils.vala:102.7-102.43: error: 1 extra arguments for `GLib.TimeVal GLib.FileInfo.get_modification_time ()'
      info1.get_modification_time (out tv1);
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
utils.vala:103.7-103.43: error: 1 extra arguments for `GLib.TimeVal GLib.FileInfo.get_modification_time ()'
      info2.get_modification_time (out tv2);
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
daemon.vala:836.51-836.91: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
daemon.vala:840.51-840.78: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
utils.vala:341.51-341.91: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
daemon.vala:565.15-565.27: warning: unhandled error `GLib.Error'
              txn.commit ();
              ^^^^^^^^^^^^^
daemon.vala:623.35-623.47: warning: unhandled error `GLib.Error'
        if (!txn.is_committed ()) txn.commit ();
                                  ^^^^^^^^^^^^^
daemon.vala:111.7-111.20: warning: unhandled error `GLib.IOError'
      lens.export ();
      ^^^^^^^^^^^^^^
main.vala:35.24-42.41: warning: unhandled error `GLib.Error'
utils.vala:31.33-31.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_NAME
utils.vala:32.33-32.68: warning: GLib.FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_DISPLAY_NAME
utils.vala:33.33-33.68: warning: GLib.FILE_ATTRIBUTE_STANDARD_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_CONTENT_TYPE
utils.vala:34.33-34.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
utils.vala:35.33-35.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
utils.vala:36.33-36.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
utils.vala:37.33-37.60: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
utils.vala:38.33-38.58: warning: GLib.FILE_ATTRIBUTE_TIME_ACCESS has been deprecated since vala-0.16. Use FileAttribute.TIME_ACCESS
utils.vala:40.33-40.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
utils.vala:41.33-41.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
Compilation failed: 4 error(s), 37 warning(s)
make[2]: *** [unity_files_daemon.vala.stamp] Error 1
make[2]: Leaving directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0'
make: *** [all] Error 2
	==> ERROR: A failure occurred in build().
		Aborting...

Last edited by Red_Raven (2012-06-03 13:20:06)


"My mind rebels at stagnation. Give me problems, give me work, give me the most abstruse cryptogram, or the most intricate analysis, and I am in my own proper atmosphere. But I abhor the dull routine of existence. I crave for mental exaltation."
~ Sherlock Holmes, The Sign of Four: Chapter 1 - The Science of Deduction by Sir Arthur Conan Doyle circa 1890

Offline

#592 2012-06-03 15:06:39

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

Red_Raven wrote:

yes, i do not have a working environment yet. i wanted to go straight to unity 2d when i read your post, so i did a clean install. i had gnome3 before. but i was not satisfied with it because i am, well, maybe you can say, a bit old school. i like the old ways joining the new and it's more convenient with gtk2. gtk3 is just a mess of things and is not flexible when it comes to customisations. it's stubborn if i might say. i have ubuntu 11.04 in my other computer since it was released and i had tons of fun with unity 2d because it retained the gnome2 style with a few bonuses. i tried skipping the unity lens files but when i install all packages it says it cannot resolved the dependencies because it cannot find the unity-lens-files. other than that, it seems that all packages from your git were successfully added to my system. i just can't make it work because of this stumbling block with unity lens files. i will post the full output in a few minutes after i restart and redo it. i am really sorry to bother you. i usually am the type who don't seek out help or ask questions because i don't want to bother anyone for such trivial matters, it's just that i have ran out of ideas. please forgive me. thanks for responding.

Please don't be sorry for asking questions. There's nothing wrong with asking questions (well, except for those answered in the README big_smile).

Red_Raven wrote:

sorry for the delay, i got held up by some people. this is the output file from makepkg -sL : seems to be the same as before. before that it's just the normal colored messages like checking / resolving dependencies and stuff. i dunno how to output that.

Darn, it seems that makepkg doesn't log the patching process. Could you run:

makepkg 2>&1 | tee output.log

That will log all the output (including the colored output. Also, if possible, could you upload the entire build directory for unity-lens-files?

EDIT: Please remove the pkg and src directories before building again smile

rm -rvf pkg/ src/

Last edited by chenxiaolong (2012-06-03 15:07:19)


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#593 2012-06-03 16:57:45

Red_Raven
Member
From: Manila
Registered: 2012-06-01
Posts: 10
Website

Re: Progress on Unity under Arch Linux!

thanks for your response. i appreciate the help. smile

ok, here's what i got:

the link for the folder: unity-lens-files

output of makepkg -s 2>&1 | tee out.log

==> Making package: unity-lens-files 5.10.0-100 (Mon Jun  4 00:36:59 SGT 2012)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
  -> Found unity-lens-files-5.10.0.tar.gz
==> Validating source files with sha512sums...
    unity-lens-files-5.10.0.tar.gz ... Passed
==> Extracting Sources...
  -> Extracting unity-lens-files-5.10.0.tar.gz with bsdtar
==> Starting build()...
/usr/bin/gnome-autogen.sh
checking for autoconf >= 2.53...
  testing autoconf2.50... not found.
  testing autoconf... found 2.69
checking for automake >= 1.9...
  testing automake-1.12... found 1.12
checking for libtool >= 1.4.3...
  testing libtoolize... found 2.4.2
checking for glib-gettext >= 2.2.0...
  testing glib-gettextize... found 2.32.1
checking for intltool >= 0.25...
  testing intltoolize... found 0.50.2
checking for pkg-config >= 0.14.0...
  testing pkg-config... found 0.26
Checking for required M4 macros...
Checking for forbidden M4 macros...
Processing ./configure.ac
Running libtoolize...
libtoolize: putting auxiliary files in `.'.
libtoolize: copying file `./ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
libtoolize: copying file `m4/libtool.m4'
libtoolize: copying file `m4/ltoptions.m4'
libtoolize: copying file `m4/ltsugar.m4'
libtoolize: copying file `m4/ltversion.m4'
libtoolize: copying file `m4/lt~obsolete.m4'
libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
Running glib-gettextize... Ignore non-fatal messages.
Copying file mkinstalldirs
Copying file po/Makefile.in.in

Please add the files
  codeset.m4 gettext.m4 glibc21.m4 iconv.m4 isc-posix.m4 lcmessage.m4
  progtest.m4
from the /aclocal directory to your autoconf macro directory
or directly to your aclocal.m4 file.
You will also need config.guess and config.sub, which you can get from
ftp://ftp.gnu.org/pub/gnu/config/.

Running intltoolize...
Running aclocal-1.12...
Running autoconf...
Running autoheader...
Running automake-1.12...
Running ./configure --enable-maintainer-mode --prefix=/usr --libexecdir=/usr/lib/unity-lens-files --disable-static ...
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... yes
checking for valac... /usr/bin/valac
checking /usr/bin/valac is at least version 0.14.0... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking whether gcc and cc understand -c and -o together... yes
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert i686-pc-linux-gnu file names to i686-pc-linux-gnu format... func_convert_file_noop
checking how to convert i686-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for mt... no
checking if : is a manifest tool... no
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking for LC_MESSAGES... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking for ngettext in libc... yes
checking for dgettext in libc... yes
checking for bind_textdomain_codeset... yes
checking for msgfmt... /usr/bin/msgfmt
checking for dcgettext... yes
checking if msgfmt accepts -c... yes
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking whether NLS is requested... yes
checking for intltool >= 0.40.0... 0.50.2 found
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... (cached) /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... (cached) /usr/bin/msgfmt
checking for gmsgfmt... (cached) /usr/bin/msgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.14.2
checking for XML::Parser... ok
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for LENS_DAEMON... yes
checking for pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.16... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating files.lens.in
config.status: creating data/Makefile
config.status: creating data/com.canonical.Unity.FilesLens.gschema.xml.in
config.status: creating src/Makefile
config.status: creating src/config.vala
config.status: creating po/Makefile.in
config.status: creating tests/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing default-1 commands
config.status: executing po/stamp-it commands
configure:

  Unity Files Lens Daemon 5.10.0
  -------------------------------

  Prefix          : /usr

  Local install   : no

  Extra CFlags    :  
  Extra ValaFlags :  

  Lenses Directory: /usr/share/unity/lenses

Now type `make' to compile unity-place-files
make  all-recursive
make[1]: Entering directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0'
Making all in src
make[2]: Entering directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0/src'
  GEN      unity_files_daemon.vala.stamp
blacklist-tracker.vala:70.37-70.68: warning: unhandled error `GLib.Error'
      Variant all_templates = yield blacklist_proxy.get_templates ();
                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
utils.vala:27.33-27.59: warning: GLib.FILE_ATTRIBUTE_PREVIEW_ICON has been deprecated since vala-0.16. Use FileAttribute.PREVIEW_ICON
utils.vala:28.33-28.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_ICON has been deprecated since vala-0.16. Use FileAttribute.STANDARD_ICON
utils.vala:29.33-29.61: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
utils.vala:89.63-89.91: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
folder.vala:160.5-160.30: error: return type `GLib.List<Unity.FilesLens.Bookmark>` is less accessible than method `Unity.FilesLens.Bookmarks.list`
    public List<Bookmark> list ()
    ^^^^^^^^^^^^^^^^^^^^^^^^^^
folder.vala:165.5-165.39: error: return type `GLib.List<Unity.FilesLens.Bookmark>` is less accessible than method `Unity.FilesLens.Bookmarks.prefix_search`
    public List<Bookmark> prefix_search (string search)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
folder.vala:193.13-193.22: warning: string.offset is deprecated. Use string.substring
daemon.vala:896.49-896.76: warning: GLib.FILE_ATTRIBUTE_STANDARD_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_TYPE
daemon.vala:897.11-897.38: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
daemon.vala:898.11-898.43: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
daemon.vala:894.44-894.71: warning: GLib.FILE_ATTRIBUTE_STANDARD_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_TYPE
daemon.vala:895.11-895.43: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
locate.vala:30.26-30.58: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
locate.vala:31.7-31.39: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
locate.vala:32.7-32.42: warning: GLib.FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_DISPLAY_NAME
locate.vala:33.7-33.34: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
locate.vala:34.7-34.34: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
locate.vala:35.7-35.35: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
locate.vala:36.7-36.37: warning: GLib.FILE_ATTRIBUTE_ACCESS_CAN_WRITE has been deprecated since vala-0.16. Use FileAttribute.ACCESS_CAN_WRITE
locate.vala:37.7-37.47: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
locate.vala:87.38-87.68: warning: GLib.FILE_ATTRIBUTE_ACCESS_CAN_WRITE has been deprecated since vala-0.16. Use FileAttribute.ACCESS_CAN_WRITE
utils.vala:102.7-102.43: error: 1 extra arguments for `GLib.TimeVal GLib.FileInfo.get_modification_time ()'
      info1.get_modification_time (out tv1);
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
utils.vala:103.7-103.43: error: 1 extra arguments for `GLib.TimeVal GLib.FileInfo.get_modification_time ()'
      info2.get_modification_time (out tv2);
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
daemon.vala:836.51-836.91: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
daemon.vala:840.51-840.78: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
utils.vala:341.51-341.91: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
daemon.vala:565.15-565.27: warning: unhandled error `GLib.Error'
              txn.commit ();
              ^^^^^^^^^^^^^
daemon.vala:623.35-623.47: warning: unhandled error `GLib.Error'
        if (!txn.is_committed ()) txn.commit ();
                                  ^^^^^^^^^^^^^
daemon.vala:111.7-111.20: warning: unhandled error `GLib.IOError'
      lens.export ();
      ^^^^^^^^^^^^^^
main.vala:35.24-42.41: warning: unhandled error `GLib.Error'
utils.vala:31.33-31.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_NAME
utils.vala:32.33-32.68: warning: GLib.FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_DISPLAY_NAME
utils.vala:33.33-33.68: warning: GLib.FILE_ATTRIBUTE_STANDARD_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_CONTENT_TYPE
utils.vala:34.33-34.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
utils.vala:35.33-35.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
utils.vala:36.33-36.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
utils.vala:37.33-37.60: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
utils.vala:38.33-38.58: warning: GLib.FILE_ATTRIBUTE_TIME_ACCESS has been deprecated since vala-0.16. Use FileAttribute.TIME_ACCESS
utils.vala:40.33-40.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
utils.vala:41.33-41.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
Compilation failed: 4 error(s), 37 warning(s)
make[2]: *** [unity_files_daemon.vala.stamp] Error 1
make[2]: Leaving directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0'
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

what should i do next?

Last edited by Red_Raven (2012-06-03 16:59:42)


"My mind rebels at stagnation. Give me problems, give me work, give me the most abstruse cryptogram, or the most intricate analysis, and I am in my own proper atmosphere. But I abhor the dull routine of existence. I crave for mental exaltation."
~ Sherlock Holmes, The Sign of Four: Chapter 1 - The Science of Deduction by Sir Arthur Conan Doyle circa 1890

Offline

#594 2012-06-03 17:08:43

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

Red_Raven wrote:

thanks for your response. i appreciate the help. smile

ok, here's what i got:

the link for the folder: unity-lens-files

output of makepkg -s 2>&1 | tee out.log

==> Making package: unity-lens-files 5.10.0-100 (Mon Jun  4 00:36:59 SGT 2012)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
  -> Found unity-lens-files-5.10.0.tar.gz
==> Validating source files with sha512sums...
    unity-lens-files-5.10.0.tar.gz ... Passed
==> Extracting Sources...
  -> Extracting unity-lens-files-5.10.0.tar.gz with bsdtar
==> Starting build()...
/usr/bin/gnome-autogen.sh
checking for autoconf >= 2.53...
  testing autoconf2.50... not found.
  testing autoconf... found 2.69
checking for automake >= 1.9...
  testing automake-1.12... found 1.12
checking for libtool >= 1.4.3...
  testing libtoolize... found 2.4.2
checking for glib-gettext >= 2.2.0...
  testing glib-gettextize... found 2.32.1
checking for intltool >= 0.25...
  testing intltoolize... found 0.50.2
checking for pkg-config >= 0.14.0...
  testing pkg-config... found 0.26
Checking for required M4 macros...
Checking for forbidden M4 macros...
Processing ./configure.ac
Running libtoolize...
libtoolize: putting auxiliary files in `.'.
libtoolize: copying file `./ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
libtoolize: copying file `m4/libtool.m4'
libtoolize: copying file `m4/ltoptions.m4'
libtoolize: copying file `m4/ltsugar.m4'
libtoolize: copying file `m4/ltversion.m4'
libtoolize: copying file `m4/lt~obsolete.m4'
libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
Running glib-gettextize... Ignore non-fatal messages.
Copying file mkinstalldirs
Copying file po/Makefile.in.in

Please add the files
  codeset.m4 gettext.m4 glibc21.m4 iconv.m4 isc-posix.m4 lcmessage.m4
  progtest.m4
from the /aclocal directory to your autoconf macro directory
or directly to your aclocal.m4 file.
You will also need config.guess and config.sub, which you can get from
ftp://ftp.gnu.org/pub/gnu/config/.

Running intltoolize...
Running aclocal-1.12...
Running autoconf...
Running autoheader...
Running automake-1.12...
Running ./configure --enable-maintainer-mode --prefix=/usr --libexecdir=/usr/lib/unity-lens-files --disable-static ...
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... yes
checking for valac... /usr/bin/valac
checking /usr/bin/valac is at least version 0.14.0... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking whether gcc and cc understand -c and -o together... yes
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking how to convert i686-pc-linux-gnu file names to i686-pc-linux-gnu format... func_convert_file_noop
checking how to convert i686-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for mt... no
checking if : is a manifest tool... no
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking for LC_MESSAGES... yes
checking libintl.h usability... yes
checking libintl.h presence... yes
checking for libintl.h... yes
checking for ngettext in libc... yes
checking for dgettext in libc... yes
checking for bind_textdomain_codeset... yes
checking for msgfmt... /usr/bin/msgfmt
checking for dcgettext... yes
checking if msgfmt accepts -c... yes
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking whether NLS is requested... yes
checking for intltool >= 0.40.0... 0.50.2 found
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... (cached) /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... (cached) /usr/bin/msgfmt
checking for gmsgfmt... (cached) /usr/bin/msgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.14.2
checking for XML::Parser... ok
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for LENS_DAEMON... yes
checking for pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.16... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating files.lens.in
config.status: creating data/Makefile
config.status: creating data/com.canonical.Unity.FilesLens.gschema.xml.in
config.status: creating src/Makefile
config.status: creating src/config.vala
config.status: creating po/Makefile.in
config.status: creating tests/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing default-1 commands
config.status: executing po/stamp-it commands
configure:

  Unity Files Lens Daemon 5.10.0
  -------------------------------

  Prefix          : /usr

  Local install   : no

  Extra CFlags    :  
  Extra ValaFlags :  

  Lenses Directory: /usr/share/unity/lenses

Now type `make' to compile unity-place-files
make  all-recursive
make[1]: Entering directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0'
Making all in src
make[2]: Entering directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0/src'
  GEN      unity_files_daemon.vala.stamp
blacklist-tracker.vala:70.37-70.68: warning: unhandled error `GLib.Error'
      Variant all_templates = yield blacklist_proxy.get_templates ();
                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
utils.vala:27.33-27.59: warning: GLib.FILE_ATTRIBUTE_PREVIEW_ICON has been deprecated since vala-0.16. Use FileAttribute.PREVIEW_ICON
utils.vala:28.33-28.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_ICON has been deprecated since vala-0.16. Use FileAttribute.STANDARD_ICON
utils.vala:29.33-29.61: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
utils.vala:89.63-89.91: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
folder.vala:160.5-160.30: error: return type `GLib.List<Unity.FilesLens.Bookmark>` is less accessible than method `Unity.FilesLens.Bookmarks.list`
    public List<Bookmark> list ()
    ^^^^^^^^^^^^^^^^^^^^^^^^^^
folder.vala:165.5-165.39: error: return type `GLib.List<Unity.FilesLens.Bookmark>` is less accessible than method `Unity.FilesLens.Bookmarks.prefix_search`
    public List<Bookmark> prefix_search (string search)
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
folder.vala:193.13-193.22: warning: string.offset is deprecated. Use string.substring
daemon.vala:896.49-896.76: warning: GLib.FILE_ATTRIBUTE_STANDARD_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_TYPE
daemon.vala:897.11-897.38: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
daemon.vala:898.11-898.43: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
daemon.vala:894.44-894.71: warning: GLib.FILE_ATTRIBUTE_STANDARD_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_TYPE
daemon.vala:895.11-895.43: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
locate.vala:30.26-30.58: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
locate.vala:31.7-31.39: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
locate.vala:32.7-32.42: warning: GLib.FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_DISPLAY_NAME
locate.vala:33.7-33.34: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
locate.vala:34.7-34.34: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
locate.vala:35.7-35.35: warning: GLib.FILE_ATTRIBUTE_THUMBNAIL_PATH has been deprecated since vala-0.16. Use FileAttribute.THUMBNAIL_PATH
locate.vala:36.7-36.37: warning: GLib.FILE_ATTRIBUTE_ACCESS_CAN_WRITE has been deprecated since vala-0.16. Use FileAttribute.ACCESS_CAN_WRITE
locate.vala:37.7-37.47: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
locate.vala:87.38-87.68: warning: GLib.FILE_ATTRIBUTE_ACCESS_CAN_WRITE has been deprecated since vala-0.16. Use FileAttribute.ACCESS_CAN_WRITE
utils.vala:102.7-102.43: error: 1 extra arguments for `GLib.TimeVal GLib.FileInfo.get_modification_time ()'
      info1.get_modification_time (out tv1);
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
utils.vala:103.7-103.43: error: 1 extra arguments for `GLib.TimeVal GLib.FileInfo.get_modification_time ()'
      info2.get_modification_time (out tv2);
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
daemon.vala:836.51-836.91: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
daemon.vala:840.51-840.78: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
utils.vala:341.51-341.91: warning: GLib.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_FAST_CONTENT_TYPE
daemon.vala:565.15-565.27: warning: unhandled error `GLib.Error'
              txn.commit ();
              ^^^^^^^^^^^^^
daemon.vala:623.35-623.47: warning: unhandled error `GLib.Error'
        if (!txn.is_committed ()) txn.commit ();
                                  ^^^^^^^^^^^^^
daemon.vala:111.7-111.20: warning: unhandled error `GLib.IOError'
      lens.export ();
      ^^^^^^^^^^^^^^
main.vala:35.24-42.41: warning: unhandled error `GLib.Error'
utils.vala:31.33-31.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_NAME
utils.vala:32.33-32.68: warning: GLib.FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME has been deprecated since vala-0.16. Use FileAttribute.STANDARD_DISPLAY_NAME
utils.vala:33.33-33.68: warning: GLib.FILE_ATTRIBUTE_STANDARD_CONTENT_TYPE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_CONTENT_TYPE
utils.vala:34.33-34.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
utils.vala:35.33-35.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
utils.vala:36.33-36.60: warning: GLib.FILE_ATTRIBUTE_STANDARD_SIZE has been deprecated since vala-0.16. Use FileAttribute.STANDARD_SIZE
utils.vala:37.33-37.60: warning: GLib.FILE_ATTRIBUTE_TIME_MODIFIED has been deprecated since vala-0.16. Use FileAttribute.TIME_MODIFIED
utils.vala:38.33-38.58: warning: GLib.FILE_ATTRIBUTE_TIME_ACCESS has been deprecated since vala-0.16. Use FileAttribute.TIME_ACCESS
utils.vala:40.33-40.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_BACKUP has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_BACKUP
utils.vala:41.33-41.65: warning: GLib.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN has been deprecated since vala-0.16. Use FileAttribute.STANDARD_IS_HIDDEN
Compilation failed: 4 error(s), 37 warning(s)
make[2]: *** [unity_files_daemon.vala.stamp] Error 1
make[2]: Leaving directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/Muninn/Unity-for-Arch/unity-lens-files/src/unity-lens-files-5.10.0'
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

what should i do next?

Ahh...that was really helpful. Just run the following:

cd /path/to/Unity-for-Arch
git pull
rm -rvf pkg/ src/
makepkg

The issue was that the PKGBUILD's weren't updated. Just make sure to run "git pull" before building to make sure that all the sources are updated big_smile


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#595 2012-06-03 18:01:03

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

NOTE: pulseaudio-ubuntu is no longer required after the latest updates. Please run:

pacman -Sdd libpulse pulseaudio

and update gnome-control-center-ubuntu.


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#596 2012-06-03 18:44:17

Red_Raven
Member
From: Manila
Registered: 2012-06-01
Posts: 10
Website

Re: Progress on Unity under Arch Linux!

What else do i need to update. Should i redo all 79 packages. Because i installed the packages and i did not use the git pull. I think i installed it using an outdated git rep. And btw, unity uses gnome session for xinitrc right? But how about unity2d? How do i exec it? And also i'm a bit confused, if i just want unity2d, do i have to install the unity package from your git or do i just install unity-2d leaving unity alone?


"My mind rebels at stagnation. Give me problems, give me work, give me the most abstruse cryptogram, or the most intricate analysis, and I am in my own proper atmosphere. But I abhor the dull routine of existence. I crave for mental exaltation."
~ Sherlock Holmes, The Sign of Four: Chapter 1 - The Science of Deduction by Sir Arthur Conan Doyle circa 1890

Offline

#597 2012-06-03 19:01:35

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

Red_Raven wrote:

What else do i need to update. Should i redo all 79 packages. Because i installed the packages and i did not use the git pull. I think i installed it using an outdated git rep. And btw, unity uses gnome session for xinitrc right? But how about unity2d? How do i exec it? And also i'm a bit confused, if i just want unity2d, do i have to install the unity package from your git or do i just install unity-2d leaving unity alone?

You can just run "./What_can_I_update\?.py" to see what updates there are after "git pull". As for xinitrc, both Unity and Unity-2D use gnome-session. They are launched using:

gnome-session --session=ubuntu # Unity
gnome-session --session=ubuntu-2d

Unity, unfortunately, is needed for Unity-2D to work. Normally, the unity-core package would be enough, but it needs a lot of patches to the build system to get it working.


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#598 2012-06-03 19:42:37

Red_Raven
Member
From: Manila
Registered: 2012-06-01
Posts: 10
Website

Re: Progress on Unity under Arch Linux!

i have just started unity. now i think it is unity 3d not 2d, i tried echo $DESKTOP_SESSION but it returned nothing. how do i really tell if it's the 2d fallback mode of unity?


"My mind rebels at stagnation. Give me problems, give me work, give me the most abstruse cryptogram, or the most intricate analysis, and I am in my own proper atmosphere. But I abhor the dull routine of existence. I crave for mental exaltation."
~ Sherlock Holmes, The Sign of Four: Chapter 1 - The Science of Deduction by Sir Arthur Conan Doyle circa 1890

Offline

#599 2012-06-03 19:50:34

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

Red_Raven wrote:

i have just started unity. now i think it is unity 3d not 2d, i tried echo $DESKTOP_SESSION but it returned nothing. how do i really tell if it's the 2d fallback mode of unity?

You can check by running "ps aux | grep unity" to see the list of processes. Unity is just called; Unity-2D will have processes named like, unity-2d-*.


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#600 2012-06-03 19:57:58

Red_Raven
Member
From: Manila
Registered: 2012-06-01
Posts: 10
Website

Re: Progress on Unity under Arch Linux!

aight! thanks pal! i'll play around with it for a moment.


"My mind rebels at stagnation. Give me problems, give me work, give me the most abstruse cryptogram, or the most intricate analysis, and I am in my own proper atmosphere. But I abhor the dull routine of existence. I crave for mental exaltation."
~ Sherlock Holmes, The Sign of Four: Chapter 1 - The Science of Deduction by Sir Arthur Conan Doyle circa 1890

Offline

Board footer

Powered by FluxBB